package com.yonge.cooleshow.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

public class HelpCenterContent {

	@ApiModelProperty(value = "编号", required = false)
	private Long id;

	@ApiModelProperty(value = "标题", required = true)
	@NotBlank(message = "标题不能为空")
	private String title;

	@ApiModelProperty(value = "内容", required = true)
	@NotBlank(message = "正文不能为空")
	private String content;

	@ApiModelProperty("发布时间")
	private Date releaseTime;

	@ApiModelProperty("发布状态 0：未发布 1:已发布")
	private Integer releaseStatus;

	@ApiModelProperty(value = "父分类ID，1:帮助中心，2：公告管理",required = true)
	@NotNull(message = "分类不能为空 ")
	private Long catalogId;

	@ApiModelProperty(value = "分类类型 STUDENT:学生端  TEACHER:老师端",required = true)
	@NotBlank(message = "平台类型不能为空")
	private String catalogType;
	/** 创建时间 */
	private java.util.Date createOn;

	/** 修改时间 */
	private java.util.Date modifyOn;

	private Long createBy;

	private Long updateBy;



	@ApiModelProperty(value = "状态 1显示 0隐藏", required = false)
	private Integer status;

	@ApiModelProperty(value = "排序", required = false)
	private Integer order;

	@ApiModelProperty("修改人姓名")
	private String updateName;

	public String getUpdateName() {
		return updateName;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public Long getCatalogId() {
		return catalogId;
	}

	public void setCatalogId(Long catalogId) {
		this.catalogId = catalogId;
	}

	public String getCatalogType() {
		return catalogType;
	}

	public void setCatalogType(String catalogType) {
		this.catalogType = catalogType;
	}
	public Long getCreateBy() {
		return createBy;
	}

	public void setCreateBy(Long createBy) {
		this.createBy = createBy;
	}

	public Long getUpdateBy() {
		return updateBy;
	}

	public void setUpdateBy(Long updateBy) {
		this.updateBy = updateBy;
	}


	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTitle() {
		return this.title;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setCreateOn(java.util.Date createOn) {
		this.createOn = createOn;
	}

	public java.util.Date getCreateOn() {
		return this.createOn;
	}

	public void setModifyOn(java.util.Date modifyOn) {
		this.modifyOn = modifyOn;
	}

	public java.util.Date getModifyOn() {
		return this.modifyOn;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getStatus() {
		return this.status;
	}

	public String toString() {
		StringBuilder buf = new StringBuilder();
		buf.append("HelpContent [");
		buf.append("id=").append(id).append(",");
		buf.append("title=").append(title).append(",");
		buf.append("content=").append(content).append(",");
		buf.append("order=").append(order).append(",");
		buf.append("catalogId=").append(catalogId).append(",");
		buf.append("createOn=").append(createOn).append(",");
		buf.append("modifyOn=").append(modifyOn).append(",");
		buf.append("status=").append(status).append(",");
		buf.setLength(buf.length() - 1);
		buf.append("]");
		return buf.toString();
	}

	public Date getReleaseTime() {
		return releaseTime;
	}

	public void setReleaseTime(Date releaseTime) {
		this.releaseTime = releaseTime;
	}

	public Integer getReleaseStatus() {
		return releaseStatus;
	}

	public void setReleaseStatus(Integer releaseStatus) {
		this.releaseStatus = releaseStatus;
	}
}
